# AddSecondStrikeAbAttr | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class AddSecondStrikeAbAttr

Class for abilities that convert single-strike moves to two-strike moves (i.e. Parental Bond).

#### Param: damageMultiplier

the damage multiplier for the second strike, relative to the first.

#### Hierarchy (view full)

- PreAttackAbAttr
  - AddSecondStrikeAbAttr

- Defined in src/data/ability.ts:1238

#####
Index

### Constructors

constructor

### Properties

damageMultiplier
showAbility

### Methods

addCondition
apply
applyPreAttack
canApplyPreAttack
getCondition
getTriggerMessage

## Constructors

### constructor

- new AddSecondStrikeAbAttr(damageMultiplier): AddSecondStrikeAbAttr

- #### Parameters

  - damageMultiplier: number

  #### Returns AddSecondStrikeAbAttr

  Overrides PreAttackAbAttr.constructor

  - Defined in src/data/ability.ts:1241

## Properties

### `Private` damageMultiplier

damageMultiplier: number

- Defined in src/data/ability.ts:1239

### showAbility

showAbility: boolean

Inherited from PreAttackAbAttr.showAbility

- Defined in src/data/ability.ts:128

## Methods

### addCondition

- addCondition(condition): AbAttr

- #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from PreAttackAbAttr.addCondition

  - Defined in src/data/ability.ts:147

### apply

- apply(pokemon, passive, cancelled, args): boolean | Promise<boolean>

- #### Parameters

  - pokemon: default
  - passive: boolean
  - cancelled: BooleanHolder
  - args: any[]

  #### Returns boolean | Promise<boolean>

  Inherited from PreAttackAbAttr.apply

  - Defined in src/data/ability.ts:135

### applyPreAttack

- applyPreAttack(pokemon, passive, defender, move, args): boolean

- If conditions are met, this doubles the move's hit count (via args[1]) or multiplies the damage of secondary strikes (via args[2])

  #### Parameters

  - pokemon: default

    the Pokemon using the move

  - passive: boolean

    n/a

  - defender: default

    n/a

  - move: default

    the move used by the ability source

  - args: any[]

  #### Returns boolean

  Overrides PreAttackAbAttr.applyPreAttack

  - Defined in src/data/ability.ts:1293

### canApplyPreAttack

- canApplyPreAttack(move, numTargets): boolean

- Determines whether this attribute can apply to a given move.

  #### Parameters

  - move: default

    the move to which this attribute may apply

  - numTargets: number

    the number of `Pokemon` targeted by this move

  #### Returns boolean

  true if the attribute can apply to the move, false otherwise

  - Defined in src/data/ability.ts:1253

### getCondition

- getCondition(): AbAttrCondition

- #### Returns AbAttrCondition

  Inherited from PreAttackAbAttr.getCondition

  - Defined in src/data/ability.ts:143

### getTriggerMessage

- getTriggerMessage(pokemon, abilityName, ...args): string

- #### Parameters

  - pokemon: default
  - abilityName: string
  - `Rest` ...args: any[]

  #### Returns string

  Inherited from PreAttackAbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:139